#ifndef TDBD_H_
#define TDBD_H_
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <sinich_cmn.h>
#include <sinich_lib.h>
#include <sinich_prm.h>
#include <sinich_reg.h>

#include "wios.h"
#include "util.h"
#include "lsf.h"
#include "alsa.h"

int print_codec_flag;
int print_descr_flag;

int set_gain_val; /* TDBDゲイン設定値 */

wios_format_handler_t const * wios_set_tdbd_format_handler(void);
int tdbd_device_check(const char * dev);
int tdbd_register_read(char * reg_rd_addr_name);
int tdbd_register_write(char * reg_wr_addr_name, char * reg_wr_data_name);
#endif
